Hermos API

Staff Dispute List

GET/staff/companies/{id}/disputes

Authorization

cookieAuth
__Host-hms_session<token>

In: cookie

Path Parameters

id*string
Formatuuid

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50
status?string

Value in

  • "open"
  • "closed"

Response Body

application/json

application/json

curl -X GET "https://example.com/staff/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08/disputes"
{  "data": [    {      "id": "string",      "status": "inquiry",      "reason": "string",      "amount": "string",      "currency": "string",      "rail": "string",      "evidence_due_at": "2019-08-24T14:15:22Z",      "opened_at": "2019-08-24T14:15:22Z",      "closed_at": "2019-08-24T14:15:22Z",      "payment": "string"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary",  "pending_sync_count": 0}